Subject: bug#1997 closed by Chong Yidong <[email-masked]> (Re: bug#1997: 23.0.60; write-region fails in pmail)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 23 Jan 2009 15:25:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1997: 23.0.60; write-region fails in pmail

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1997: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1997
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1997: 23.0.60; write-region fails in pmail
From: Chong Yidong <[email-masked]>
To: [email-masked]
Date: Fri, 23 Jan 2009 10:17:29 -0500

> No, it's just due to people wasting time trying to reinvent the wheel
> rather than read the sample code in tar-mode.el.

My mistake: I forgot to switch rmail-write-region-annotate back to its
"canonical" form after I finished debugging why it wasn't working.

In other words, the axle was broken, and I fixed it---but I forgot to
put the normal wheels back on.

Subject: 23.0.60; write-region fails in pmail
From: Richard M Stallman <[email-masked]>
To: [email-masked]
Date: Fri, 23 Jan 2009 01:18:59 -0500

I use this function to write HTML code from certain messages:

(defun lynx ()
  (interactive)
  (unless (re-search-backward "^From [email-masked]" nil t)
    (goto-char (point-min)))
  (save-excursion
    (search-forward "/bin/sh")
    (forward-line 3)
    (let ((start (point)))
      (search-forward "!EOF!")
      (beginning-of-line)
      (write-region start (point) "~/foo.html"))))

Instead of writing from the view buffer as it used to,
it now writes from the mbox buffer.  It writes the WHOLE mbox.

I presume this is due to the changes to use an existing hook and its
warts, instead of a feature designed to be simple to use for this job.
I verified that pmail-write-region-annotate was called with arguments
369 87214.

Any attempt to write part of the view buffer into a file
has the same problem.

In GNU Emacs 23.0.60.17 (mipsel-unknown-linux-gnu, GTK+ Version 2.12.11)
 of 2009-01-22 on lemote-yeeloong
configured using `configure  'CFLAGS=-O0 -g -Wno-pointer-sign' 'mipsel-unknown-linux-gnu' 'build_alias=mipsel-unknown-linux-gnu' 'host_alias=mipsel-unknown-linux-gnu' 'target_alias=mipsel-unknown-linux-gnu''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Mail

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
ESC x p m a i l RET C-x k RET ESC x ESC p RET C-x 1 
C-d C-d x C-x C-s ESC x l y n x RET ESC x l y C-g C-x 
= ESC x l y n x RET C-x C-f . m a i l ESC DEL e m a 
c s RET C-s f u n SPC l y n x C-a C-@ C-u C-n C-u C-n 
C-n C-n C-n ESC w C-x 4 m C-u C-n C-u C-y C-u C-p C-e 
ESC x r e p o r t SPC e m a c s SPC b u g RET

Recent messages:
0 new messages read
Expunging deleted messages...done
Saving file /home/rms/PMAIL...
Wrote /home/rms/PMAIL
Wrote /home/rms/foo.html
Quit
Char: T (84, #o124, #x54) point=1 of 87233 (0%) column=0
Wrote /home/rms/foo.html
Mark saved where search started
Mark set [2 times]